Index: contrib/repo-conf/Makefile.am
===================================================================
--- contrib/repo-conf/Makefile.am	(revision 72c7d3e2e6bcb10eed95af10d1c40e3a43d86f60)
+++ contrib/repo-conf/Makefile.am	(revision e1be2b30ad3b43c28cba087614a6ebca6356445e)
@@ -30,4 +30,5 @@
 	  -e 's,[@]OS_SUBDIR[@],@OS_SUBDIR@,' \
 	  -e 's,[@]OS_NAME[@],@OS_NAME@,' \
+	  -e 's,[@]OS_VERS[@],@OS_VERS@,' \
 	  -e 's,[@]YUM_VERDIR[@],@YUM_VERDIR@,' \
 	  < $(srcdir)/yum.repos.d/rtems.repo.in \
@@ -36,15 +37,32 @@
 EXTRA_DIST += $(srcdir)/yum.repos.d/*repo.in
 
+gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@: gpg/gpg-pubkey-69ce4a83-44cc2b30
+	@$(mkdir_p) gpg
+	sed -e 's,[@]OS_SUBDIR[@],@OS_SUBDIR@,' \
+	  -e 's,[@]OS_VERS[@],@OS_VERS@,' \
+	  < $(srcdir)/gpg/gpg-pubkey-69ce4a83-44cc2b30 \
+	  > gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+CLEANFILES += gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+EXTRA_DIST += $(srcdir)/gpg/gpg-pubkey-69ce4a83-44cc2b30
+
+
+gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@: gpg/gpg-pubkey-eac29b6f-3fe1f458
+	@$(mkdir_p) gpg
+	sed -e 's,[@]OS_SUBDIR[@],@OS_SUBDIR@,' \
+	  -e 's,[@]OS_VERS[@],@OS_VERS@,' \
+	  < $(srcdir)/gpg/gpg-pubkey-eac29b6f-3fe1f458 \
+	  > gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
+CLEANFILES += gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
+EXTRA_DIST += $(srcdir)/gpg/gpg-pubkey-eac29b6f-3fe1f458
+
 yum_gpgdir = $(sysconfdir)/pki/rpm-gpg
 yum_gpg_DATA =
-yum_gpg_DATA += gpg/gpg-pubkey-69ce4a83-44cc2b30
-yum_gpg_DATA += gpg/gpg-pubkey-eac29b6f-3fe1f458
+yum_gpg_DATA += gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+yum_gpg_DATA += gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
 
 apt_gpgdir = $(sysconfdir)/apt/gpg
 apt_gpg_DATA =
-apt_gpg_DATA += gpg/gpg-pubkey-69ce4a83-44cc2b30
-apt_gpg_DATA += gpg/gpg-pubkey-eac29b6f-3fe1f458
-
-EXTRA_DIST += $(srcdir)/gpg/gpg-pubkey*
+apt_gpg_DATA += gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+apt_gpg_DATA += gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
 
 noinst_HEADERS = rtems-@RTEMS_API@-repo-conf.spec
Index: contrib/repo-conf/apt/sources.list.d/rtems.list.in
===================================================================
--- contrib/repo-conf/apt/sources.list.d/rtems.list.in	(revision 72c7d3e2e6bcb10eed95af10d1c40e3a43d86f60)
+++ contrib/repo-conf/apt/sources.list.d/rtems.list.in	(revision e1be2b30ad3b43c28cba087614a6ebca6356445e)
@@ -2,9 +2,9 @@
 ## http://apt-rpm.laiskiainen.org/
 
-repomd ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@@APT_VERDIR@/$(ARCH)
+repomd ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@/@APT_VERDIR@/$(ARCH)
 
 ## uncomment the line below if you want to access the *.src.rpms
-# repomd-src ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@@APT_VERDIR@/SRPMS
+# repomd-src ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@/@APT_VERDIR@/SRPMS
 
 ## uncomment the line below if you want to access the *-debuginfo*.rpms
-# repomd-debug ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@@APT_VERDIR@/$(ARCH)/debug
+# repomd-debug ftp://ftp.rtems.org/pub/rtems/linux/@RTEMS_API@ @OS_SUBDIR@/@APT_VERDIR@/$(ARCH)/debug
Index: contrib/repo-conf/configure.ac
===================================================================
--- contrib/repo-conf/configure.ac	(revision 72c7d3e2e6bcb10eed95af10d1c40e3a43d86f60)
+++ contrib/repo-conf/configure.ac	(revision e1be2b30ad3b43c28cba087614a6ebca6356445e)
@@ -3,5 +3,5 @@
 
 AC_PREREQ(2.61)
-AC_INIT([rtems-]_RTEMS_API[-repo-conf],[0.15],[http://www.rtems.org/bugzilla],
+AC_INIT([rtems-]_RTEMS_API[-repo-conf],[0.16],[http://www.rtems.org/bugzilla],
   [rtems-]_RTEMS_API[-repo-conf])
 RTEMS_VERSIONING
@@ -20,5 +20,6 @@
 fedora-9* | fedora-10* | fedora-11* )
   os_name="Fedora"
-  os_subdir="fedora/"
+  os_subdir="fedora"
+  os_vers=`echo $osname| sed -e 's,^.*-,,'`
   yum_verdir="\$\$releasever"
   apt_verdir="\$\$(VERSION)"
@@ -26,5 +27,6 @@
 centos-5* | redhat-el5* | fedora-7* | fedora-8* )
   os_name="CentOS"
-  os_subdir="centos/"
+  os_subdir="centos"
+  os_vers=`echo $osname| sed -e 's,^.*-,,'`
   yum_verdir="5"
   apt_verdir="5"
@@ -32,5 +34,6 @@
 centos-4* | redhat-el4* | fedora-5* | fedora-6* )
   os_name="CentOS"
-  os_subdir="centos/"
+  os_subdir="centos"
+  os_vers=`echo $osname| sed -e 's,^.*-,,'`
   yum_verdir="4"
   apt_verdir="4"
@@ -38,5 +41,6 @@
 suse-*)
   os_name="openSUSE"
-  os_subdir="suse/"
+  os_subdir="suse"
+  os_vers=`echo $osname| sed -e 's,^.*-,,'`
   yum_verdir="\$\$releasever"
   apt_verdir="\$\$(VERSION)"
@@ -46,8 +50,9 @@
 esac
 
+AC_SUBST([OS_NAME],[$os_name])
 AC_SUBST([OS_SUBDIR],[$os_subdir])
+AC_SUBST([OS_VERS],[$os_vers])
 AC_SUBST([YUM_VERDIR],[$yum_verdir])
 AC_SUBST([APT_VERDIR],[$apt_verdir])
-AC_SUBST([OS_NAME],[$os_name])
 
 AC_CONFIG_FILES([Makefile])
Index: contrib/repo-conf/yum.repos.d/rtems.repo.in
===================================================================
--- contrib/repo-conf/yum.repos.d/rtems.repo.in	(revision 72c7d3e2e6bcb10eed95af10d1c40e3a43d86f60)
+++ contrib/repo-conf/yum.repos.d/rtems.repo.in	(revision e1be2b30ad3b43c28cba087614a6ebca6356445e)
@@ -1,29 +1,29 @@
 [rtems-@RTEMS_API@]
 name=RTEMS-@RTEMS_API@ for @OS_NAME@ @YUM_VERDIR@ - $basearch
-# baseurl=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@@YUM_VERDIR@/$basearch
-mirrorlist=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@@YUM_VERDIR@/mirrorlist
+# baseurl=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@/@YUM_VERDIR@/$basearch
+mirrorlist=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@/@YUM_VERDIR@/mirrorlist
 # metadata_expire=0
 enabled=1
 gpgcheck=1
-gpgkey=file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-69ce4a83-44cc2b30
-	file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-eac29b6f-3fe1f458
+gpgkey=file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+	file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
 
 [rtems-@RTEMS_API@-source]
 name=RTEMS-@RTEMS_API@ for @OS_NAME@ @YUM_VERDIR@ - $basearch - source
-# baseurl=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@@YUM_VERDIR@/SRPMS
-mirrorlist=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@@YUM_VERDIR@/mirrorlist-sources
+# baseurl=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@/@YUM_VERDIR@/SRPMS
+mirrorlist=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@/@YUM_VERDIR@/mirrorlist-source
 # metadata_expire=0
 enabled=0
 gpgcheck=1
-gpgkey=file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-69ce4a83-44cc2b30
-	file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-eac29b6f-3fe1f458
+gpgkey=file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+	file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
 
 [rtems-@RTEMS_API@-debuginfo]
 name=RTEMS-@RTEMS_API@ for @OS_NAME@ @YUM_VERDIR@ - $basearch - debuginfo
-# baseurl=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@@YUM_VERDIR@/$basearch/debug
-mirrorlist=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@@YUM_VERDIR@/mirrorlist-debuginfo
+# baseurl=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@/@YUM_VERDIR@/$basearch/debug
+mirrorlist=http://www.rtems.org/ftp/pub/rtems/linux/@RTEMS_API@/@OS_SUBDIR@/@YUM_VERDIR@/mirrorlist-debuginfo
 # metadata_expire=0
 enabled=0
 gpgcheck=1
-gpgkey=file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-69ce4a83-44cc2b30
-	file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-eac29b6f-3fe1f458
+gpgkey=file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-69ce4a83-44cc2b30-@OS_SUBDIR@-@OS_VERS@
+	file://@sysconfdir@/pki/rpm-gpg/gpg-pubkey-eac29b6f-3fe1f458-@OS_SUBDIR@-@OS_VERS@
